summaryrefslogtreecommitdiff
path: root/packages/cern-scripts/resources/bin/restart-gwt.sh
diff options
context:
space:
mode:
authorYves Fischer <yvesf@cern.ch>2016-02-01 09:09:31 +0100
committerYves Fischer <yvesf@cern.ch>2016-02-01 09:09:43 +0100
commit3cbe8700c8c6cb1ac41b506681234f995ca979ba (patch)
tree01b6f4e232e23ff9cf5379137a472796784d1abe /packages/cern-scripts/resources/bin/restart-gwt.sh
parent4de2d5afc7dfdb0409d2ac9359bbe5bac58e2edc (diff)
downloaddebian-packages-3cbe8700c8c6cb1ac41b506681234f995ca979ba.tar.gz
debian-packages-3cbe8700c8c6cb1ac41b506681234f995ca979ba.zip
cern-scripts: restructure source directory
Diffstat (limited to 'packages/cern-scripts/resources/bin/restart-gwt.sh')
-rwxr-xr-xpackages/cern-scripts/resources/bin/restart-gwt.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/packages/cern-scripts/resources/bin/restart-gwt.sh b/packages/cern-scripts/resources/bin/restart-gwt.sh
new file mode 100755
index 0000000..3870874
--- /dev/null
+++ b/packages/cern-scripts/resources/bin/restart-gwt.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -x
+pid=`jps | grep DevMode | cut -f 1 -d ' '`
+if [ -z "$pid" ]; then
+ echo "no running gwt-client found" >&2
+ exit 1
+fi
+
+cwd=`readlink "/proc/${pid}/cwd"`
+cmd=`cat "/proc/${pid}/cmdline" | tr '\0' ' '`
+cd "$cwd"
+kill -9 "$pid"
+
+sleep 1
+$cmd >/dev/null 2>&1 &
+disown -ar